/// <reference types="react" />
import { IFormItemRender } from "../../components/helpers/FormItemRender";
import { RecursivePartial } from "../../interfaces/types/Partials";
import { IFormbuilderLanguage } from "../../models/language/ILanguage";
import { IFormItemBuilder, LabelRender } from "../interfaces/IFormItemBuilder";
export interface IFormBuilder {
    formItemRender: IFormItemRender;
    initialize: () => IFormBuilder;
    usingComplexBuilder: (labelRender?: LabelRender, validationMsgElement?: (message: string) => JSX.Element) => IFormBuilder;
    withBuilders: (...builders: Array<IFormItemBuilder>) => IFormBuilder;
    withLanguage: (language: RecursivePartial<IFormbuilderLanguage>) => IFormBuilder;
    verify: () => boolean;
}
export declare const formbuilder: IFormBuilder;
